## GESEffectClip GESEffectClip — An effect created by parse-launch style bin descriptions in a GESLayer |

## Properties

gchar * | audio-bin-description | Read / Write / Construct Only
gchar * | video-bin-description | Read / Write / Construct Only

## Types and Values

| GESEffectClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESOperationClip
                            ╰── GESBaseEffectClip
                                ╰── GESEffectClip

## Implemented Interfaces

GESEffectClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

The effect will be applied on the sources that have lower priorities (higher number) between the inpoint and the end of it.

## Functions

## Types and Values

### GESEffectClip

    typedef struct _GESEffectClip GESEffectClip;

## Property Details

### The `“audio-bin-description”` property

      “audio-bin-description”    gchar *

The description of the audio track of the effect bin with a gst-launch-style pipeline description. This should be used for test purposes.

Example: "audiopanorama panorama=1.0"

Flags: Read / Write / Construct Only

Default value: NULL

### The `“video-bin-description”` property

      “video-bin-description”    gchar *

The description of the video track of the effect bin with a gst-launch-style pipeline description. This should be used for test purposes.

Example: "videobalance saturation=1.5 hue=+0.5"

Flags: Read / Write / Construct Only

Default value: NULL